---------------------
-- Library calling --
---------------------
--Call the ACE Libraries
local MBPNI = LibStub("AceGUI-3.0")
--local AceGUI = LibStub("AceGUI-3.0")
local MBPNIC = LibStub("AceConsole-3.0")
LibStub("AceEvent-3.0"):Embed(MBPNIC)

-------------------------------------------------------------------------------
---------------------------
-- code for minimap icon --
---------------------------
function InitializeMinimapButton()
   function showTooltip(tooltip)
      s,b,t = "","",""
      
      on = color["green"].." on |r"
      off = color["red"].." off |r"
      if MBPNbattleEnable then b = on
      else
         b = off
      end
      if MBPNgtt then t = on
      else
         t = off
      end
      
      tooltip:AddLine("My Battle Pet Notifier")
      tooltip:AddLine("Search Window: (LeftButton to open/close)")
      tooltip:AddLine("Battle Window:"..b.."MiddleButton to enable/disable")
      tooltip:AddLine("Tooltip:"..t.."Button4 to enable/disable")
   end
   
   function buttonClick(self,button)
      if button == "LeftButton" then
         MBPNCsearch:MBPNsearchWindow()
      end
      if button == "MiddleButton" then
         MBPNbattleEnable = not MBPNbattleEnable
         if MBPNbattleEnable then
            print("Battle Window enabled!")
         else
            print("Battle Window disabled!")
         end
      end
      if button == "Button4" then
         if MBPNgtt == nil then
            MBPNgtt = GameTooltip
            print("Tooltip, Pet Tracking, Stable Master Tracking enabled!")
            for i=1,GetNumTrackingTypes() do
               if GetTrackingInfo(i)=="Stable Master" or GetTrackingInfo(i) == "Track Pets" then
                  SetTracking(i,true)
               end
            end
            
         else
            MBPNgtt = nil
            print("Tooltip, Pet Tracking, Stable Master Tracking disabled!")
            for i=1,GetNumTrackingTypes() do
               if GetTrackingInfo(i)=="Stable Master" or GetTrackingInfo(i) == "Track Pets" then
                  SetTracking(i,false)
               end
               
            end
         end
         
      end
      --if button == "RightButton" then
      --end
      if button == "Button5" then
      end
      if button == "Button6" then
      end
      if button == "Button7" then
      end
      if button == "Button8" then
      end
      if button == "Button9" then
      end
      if button == "Button10" then
      end
      if button == "Button11" then
      end
      if button == "Button12" then
      end
      if button == "Button13" then
      end
      if button == "Button14" then
      end
      if button == "Button15" then
         print("Dude sweet!  You have an ORIGINAL WoW mouse!")
      end
   end
   
   local tooltip = {}
   local MBPNIA = LibStub("AceAddon-3.0"):NewAddon("MBPNILDB", "AceConsole-3.0")
   local  MBPNILDB = LibStub("LibDataBroker-1.1"):NewDataObject("MBPNILDB", {
         type = "data source",
         text = "MyBattlePetNotifier",
         icon = "Interface\\Icons\\INV_MISC_RABBIT",
         OnClick = function(self,button) buttonClick(self,button) end,
         OnTooltipShow = function(tooltip) showTooltip(tooltip) end
   })
   
   local icon = LibStub("LibDBIcon-1.0")
   
   function MBPNIA:OnInitialize()
      self.db = LibStub("AceDB-3.0"):New("MBPNIDB", {
            profile = {
               minimap = {
                  hide = false,
               },
            },
      })
      icon:Register("MyBattlePetNotifier",MBPNILDB, self.db.profile.minimap)
      self:RegisterChatCommand("peticon", "PetIconVisibility")
   end
   
   function MBPNIA:PetIconVisibility()
      self.db.profile.minimap.hide = not self.db.profile.minimap.hide
      if self.db.profile.minimap.hide then
         icon:Hide("MBPNILDB")
      else
         icon:Show("MBPNILDB")
      end
   end
   
   --MBPNIA:OnInitialize()
end

InitializeMinimapButton()
